Skip to main content
`Ctrl`+`K`

# PetscSortIntWithCountArray

Sorts an array of `PetscInt` in place in increasing order; changes a second array of `PetscCount` to match the sorted first array.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortIntWithCountArray(PetscCount n, PetscInt X[], PetscCount Y[])

Not Collective

## Input Parameters

- n - number of values

- X - array of `PetscInt`

- Y - second array of `PetscCount`

## See Also

`PetscIntSortSemiOrderedWithArray()`, `PetscSortReal()`, `PetscSortIntWithPermutation()`, `PetscSortInt()`, `PetscSortIntWithArray()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages